Bug 976420 - f19 package has file conflicts with f18 package
Summary: f19 package has file conflicts with f18 package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Horak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-20 14:20 UTC by Nathanael Noblet
Modified: 2013-09-06 05:23 UTC (History)
6 users (show)

Fixed In Version: firefox-23.0.1-4.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-03 22:30:40 UTC
Type: Bug


Attachments (Terms of Use)

Description Nathanael Noblet 2013-06-20 14:20:46 UTC
Description of problem:
Updated a machine via Fedup using the Beta image. a yum update fails to update firefox due to:

Transaction check error:
  file /usr/lib64/firefox/browser/defaults/preferences from install of firefox-21.0-3.fc19.x86_64 conflicts with file from package firefox-21.0-3.fc18.x86_64


Version-Release number of selected component (if applicable):
firefox-21.0-3.fc19.x86_64 and firefox-21.0-3.fc18.x86_64

How reproducible:
always

Steps to Reproduce:
1. fedup a system
2. yum update which includes firefox
3.

Actual results:
Transaction error

Expected results:
smooth update

Additional info:

Comment 1 John McInnes 2013-07-06 03:39:28 UTC
Same problem here.

Comment 2 Martin Stransky 2013-07-06 06:50:38 UTC
So you can't upgrade from firefox-21.0-3.fc18.x86_64 to firefox-21.0-3.fc19.x86_64, right?

It's because /usr/lib64/firefox/browser/defaults/preferences is a symlink in firefox-21.0-3.fc18.x86_64 and a regular directory in firefox-21.0-3.fc19.x86_64.
(Due to directory changes in Firefox 21).

It looks like we have to migrate files from /usr/lib64/firefox/defaults/preferences to /usr/lib64/firefox/browser/defaults/preferences in some pre-install rpm script.

Comment 3 Joe Zeff 2013-08-01 23:41:49 UTC
If it helps, I went from F17 to F19 directly, via fedup and had the same problem with firefox.  I ended up using rpm to remove firefox, then reinstalled it with yum.

Comment 4 T.C. Hollingsworth 2013-08-02 00:01:09 UTC
The old replacing-a-dir-with-a-symlink bug rears its ugly head yet again.  *sigh*

I'm sure you're familiar with it, but if not all the gory details are in bug 646523.

Please expedite the necessary %pretrans hackery if you can; a lot of people on the users list are hitting this on upgrade, and a lot of people are upgrading right now since F17 just went EOL.  Thanks!

Comment 5 Fedora Update System 2013-09-02 10:34:41 UTC
firefox-23.0.1-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/firefox-23.0.1-3.fc19

Comment 6 Fedora Update System 2013-09-02 10:34:52 UTC
firefox-23.0.1-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/firefox-23.0.1-3.fc18

Comment 7 Fedora Update System 2013-09-02 23:25:42 UTC
Package firefox-23.0.1-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing firefox-23.0.1-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15637/firefox-23.0.1-3.fc18
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2013-09-03 22:30:40 UTC
firefox-23.0.1-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-09-05 09:11:54 UTC
firefox-23.0.1-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/firefox-23.0.1-4.fc18

Comment 10 Fedora Update System 2013-09-05 09:12:16 UTC
firefox-23.0.1-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/firefox-23.0.1-4.fc19

Comment 11 Fedora Update System 2013-09-06 05:23:33 UTC
firefox-23.0.1-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.